Commit cbea5788 authored by Mark Olesen's avatar Mark Olesen

ENH: include qmake-qt5 in the search for qt

- some systems (eg, opensuse) use that since it has both qt4 and qt5
  installed. ParaView now needs qt5 (preferrably 5.9).

STYLE: update version information for ParaView and Qt
parent 6d7ef8dc
......@@ -3,7 +3,7 @@
| ========= | |
| \\ / F ield | OpenFOAM: The Open Source CFD Toolbox |
| \\ / O peration | |
| \\ / A nd | Copyright (C) 2016-2017 OpenCFD Ltd. |
| \\ / A nd | Copyright (C) 2016-2018 OpenCFD Ltd. |
| \\/ M anipulation | |
|--------------------------------------------------------------------------|
-->
......@@ -289,11 +289,11 @@ and save some disk space.
unpack in the third-party directory.
2. Use the `makeQt` script with the QT version number. For example,
./makeQt 4.8.7
./makeQt 5.9.3
3. Build ParaView using this third-party QT. For example,
./makeParaView -qt-4.8.7 5.4.1
./makeParaView -qt-5.9.3 5.5.0
- ParaView versions prior to 5.3.0 do not properly support QT5.
......@@ -390,7 +390,7 @@ you may have additional hurdles to using the newest versions of clang.
|-----------------------|------------------------
| [MESA][page mesa] | [download][link mesa] or [older 13][older13 mesa], [older 11][older11 mesa]
| [ParaView][page ParaView] | [download][link ParaView]
| [Qt][page Qt] | Either the [older QT4][link Qt4] or the [newer QT5][link Qt5], which only works with ParaView-5.3.0 and later.
| [Qt][page Qt] | [QT5][link Qt5] for ParaView-5.3.0 and later, or the [older QT4][link Qt4] for previous ParaView versions.
### CMake Minimum Requirements <a name="min-cmake"></a>
......@@ -403,9 +403,9 @@ The minimum CMake requirements for building various components.
2.8.12.2 llvm-3.7.0
2.8.12.2 llvm-3.8.0
2.8.4 cmake-3.6.0
3.3 ParaView-5.4.1
3.3 ParaView-5.5.0
3.4.3 llvm-3.9.1
3.4.3 llvm-4.0.0
3.4.3 llvm-4.0.0 - llvm-6.0.0
### GCC Minimum Requirements <a name="min-gcc"></a>
......@@ -497,7 +497,8 @@ that clang compiler for building the newer llvm/clang version.
<!-- Visualization -->
[page ParaView]: http://www.paraview.org/
[link ParaView]: http://www.paraview.org/files/v5.4/ParaView-v5.4.1.tar.gz
[link ParaView54]: http://www.paraview.org/files/v5.4/ParaView-v5.4.1.tar.gz
[link ParaView]: http://www.paraview.org/files/v5.5/ParaView-v5.5.0.tar.gz
[page mesa]: http://mesa3d.org/
[link mesa]: ftp://ftp.freedesktop.org/pub/mesa/mesa-17.1.1.tar.xz
......
Short summary of third-party software versions for recent OpenFOAM versions.
OpenFOAM-1806
---------------
ParaView-5.5.0 *major*
OpenFOAM-1712
---------------
CGAL-4.9.1
......@@ -41,7 +46,7 @@ openmpi-1.10.2 *minor*
scotch_6.0.3
OpenFOAM-v3.0+
OpenFOAM-3.0+
---------------
CGAL-4.7 *update*
ParaView-4.4.0 *update*
......@@ -49,7 +54,7 @@ openmpi-1.10.0 *update*
scotch_6.0.3
OpenFOAM-v2.4
OpenFOAM-2.4
---------------
CGAL-4.6 *update*
ParaView-4.1.0
......@@ -58,7 +63,7 @@ scotch_6.0.3 *update*
---------------
OpenFOAM-v2.3
OpenFOAM-2.3
---------------
CGAL-4.3
ParaView-4.1.0
......
......@@ -3,7 +3,7 @@
# \\ / F ield | OpenFOAM: The Open Source CFD Toolbox
# \\ / O peration |
# \\ / A nd | Copyright (C) 2011-2016 OpenFOAM Foundation
# \\/ M anipulation | Copyright (C) 2016-2017 OpenCFD Ltd.
# \\/ M anipulation | Copyright (C) 2016-2018 OpenCFD Ltd.
#------------------------------------------------------------------------------
# License
# This file is part of OpenFOAM, licensed under GNU General Public License
......@@ -304,7 +304,7 @@ addQtSupport()
local qmake qtLib
# Check qmake can be found and handle version differences
qmake=$(findQtMake)
qmake=$(findQMake)
if QT_VERSION=$($qmake -query QT_VERSION 2>/dev/null)
then
addCMakeVariable "PARAVIEW_BUILD_QT_GUI=ON"
......@@ -450,7 +450,7 @@ installParaView()
# System or non-system installation of QT?
local qmake qtLib QT_VERSION
if qmake=$(findQtMake 2>/dev/null)
if qmake=$(findQMake 2>/dev/null)
then
qtLib=$($qmake -query QT_INSTALL_LIBS)
QT_VERSION=$($qmake -query QT_VERSION 2>/dev/null)
......
......@@ -273,21 +273,26 @@ NOT_FOUND
fi
fi
# Default to use the path. Resolve so we know what we are using.
foundExe=$(command -v cmake 2> /dev/null) || foundExe=false
# Default to use the path, try resolving (so we know what we are using).
for candidate in cmake
do
foundExe=$(command -v $candidate 2>/dev/null) && break
done
: ${foundExe:=false}
echo "Using cmake=$foundExe" 1>&2
echo $foundExe
}
#
# try to locate qmake according to the QMAKE_PATH
# Try to locate qmake or qmake-qt5 according to the QMAKE_PATH
#
# On success: return the resolved value as output.
# On failure: just report what is found in the path.
#
unset QMAKE_PATH # clear when first loaded
findQtMake()
findQMake()
{
local candidate foundExe
......@@ -345,8 +350,14 @@ NOT_FOUND
fi
fi
# Default to use the path, try resolving (so we know what we are using)
foundExe=$(command -v qmake 2> /dev/null) || foundExe=false
# Default to use the path, try resolving (so we know what we are using).
# Some systems have qmake-qt5 as well as qmake
for candidate in qmake-qt5 qmake
do
foundExe=$(command -v $candidate 2>/dev/null) && break
done
: ${foundExe:=false}
echo "Using qmake=$foundExe" 1>&2
echo $foundExe
}
......@@ -549,4 +560,5 @@ applyPatch()
fi
}
#------------------------------------------------------------------------------
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment